Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042400
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-11-26 13:332020-08-04 08:45
ReporteregoitzView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revisionc1b61421f84c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042400: CheckServerAvailability request is sent being on the login page

DescriptionTransationing to offline being on the login page, makes the POS to start sending the request to check if the server is available.
Steps To Reproduce-Login into the pos
- do the log out
- Swith off the newtork
- Reload(f5) the login page
- Checking in developers tools (network section) you can see that the checkserveravailability request is continuosly sent.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0116137)
hgbot (developer)
2019-12-08 04:29

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: c1b61421f84ca205cf5588a5f29aa675c6f9b100
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri Dec 06 15:48:54 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c1b61421f84ca205cf5588a5f29aa675c6f9b100 [^]

Fixed issue 42400: CheckServerAvailability request is sent being on the login page

- checkserveravailability request is not sent if POS is in login page

---
M web/org.openbravo.mobile.core/source/data/ob-requestrouter.js
---
(0121740)
salvador_campanella (developer)
2020-07-31 13:08

This issue is still reproducible in livebuilds 20Q1

Steps to reproduce are the same:
-Login into the pos
- do the log out
- Swith off the newtork
- Reload(f5) the login page
- Checking in developers tools (network section) you can see that the checkserveravailability request is continuosly sent.

- Issue History
Date Modified Username Field Change
2019-11-26 13:33 egoitz New Issue
2019-11-26 13:33 egoitz Assigned To => Retail
2019-11-26 13:33 egoitz Triggers an Emergency Pack => No
2019-12-04 15:25 rqueralta Assigned To Retail => rqueralta
2019-12-04 15:25 rqueralta Status new => scheduled
2019-12-08 04:29 hgbot Checkin
2019-12-08 04:29 hgbot Note Added: 0116137
2019-12-08 04:29 hgbot Status scheduled => resolved
2019-12-08 04:29 hgbot Resolution open => fixed
2019-12-08 04:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c1b61421f84ca205cf5588a5f29aa675c6f9b100 [^]
2019-12-09 15:41 marvintm Review Assigned To => marvintm
2019-12-09 15:41 marvintm Status resolved => closed
2019-12-09 15:41 marvintm Fixed in Version => RR20Q1
2020-07-31 13:08 salvador_campanella Note Added: 0121740
2020-07-31 13:08 salvador_campanella Status closed => new
2020-07-31 13:08 salvador_campanella Resolution fixed => open
2020-07-31 13:08 salvador_campanella Fixed in Version RR20Q1 =>


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker